package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.biz.Task;

public interface TaskDAO {

	Task findById(final int taskId);
	List<Task> listByRequestId(final int requestId);
	List<Task> listOpenByRequestId(final int requestId);
	List<Task> listOpenByWorkflowAndRequestId(final int workflowId, final int requestId);
	List<Task> listAll();
	void save(Task task);
	void delete(final Task task);
}
